﻿using Hotline.Share.Dtos;
using Hotline.Share.Dtos.Snapshot;
using Hotline.Snapshot;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Snapshot;
public interface IInviteCodeApplication
{
    Task<string> AddInviteCodeAsync(AddInviteCodeInDto dto);

    /// <summary>
    /// 删除邀请码
    /// </summary>
    /// <param name="ids"></param>
    /// <returns></returns>
    Task DeleteInviteCodeAsync(IList<string> ids);
    ISugarQueryable<InviteCode> GetInviteCodeItems();

    /// <summary>
    /// 邀请码统计
    /// </summary>
    /// <param name="dto"></param>
    /// <returns></returns>
    ISugarQueryable<InviteCodeStatisticOutDto> GetInviteCodeStatisticAsync(GetInviteCodeStatisticInDto dto);

    /// <summary>
    /// 邀请码统计明细
    /// </summary>
    /// <param name="dto"></param>
    /// <returns></returns>
    ISugarQueryable<InviteCodeStatisticDetailOutDto> GetInviteCodeStatisticDetail(GetInviteCodeStatisticDetailInDto dto);

    /// <summary>
    /// 修改邀请码
    /// </summary>
    /// <param name="dto"></param>
    /// <returns></returns>
    Task UpdateInviteCodeAsync(UpdateInviteCodeInDto dto);
}
