﻿using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Settings;
using Hotline.Settings.TimeLimitDomain.Repository;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.ExpireTime;
public class TimeLimitSettingRepository : BaseRepository<TimeLimitSetting>, ITimeLimitSettingRepository, IScopeDependency
{
    public TimeLimitSettingRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, IServiceProvider serviceProvider) : base(uow, dataPermissionFilterBuilder, serviceProvider)
    {
    }

    public async Task<TimeLimitSetting?> GetByBusCode(string busCode)
        => await base.GetAsync(x => x.BusCode == busCode);
}
