﻿using Hotline.Share.Dtos.File;

namespace Hotline.Share.Dtos.FlowEngine.Workflow;

/// <summary>
/// 办理参数
/// </summary>
public class NextWorkflowDto : BasicWorkflowDto
{
    public string WorkflowId { get; set; }

    /// <summary>
    /// 当前办理节点id
    /// </summary>
    public string StepId { get; set; }

}

public class NextWorkflowDto<TData>
{
    /// <summary>
    /// 业务数据
    /// </summary>
    public TData Data { get; set; }

    /// <summary>
    /// 流程数据
    /// </summary>
    public NextWorkflowDto Workflow { get; set; }
}

public class OrderScreenNextWorkflowDto : NextWorkflowDto {

	/// <summary>
	/// 省附件
	/// </summary>
	public List<FileDto> ProvinceFiles { get; set; } = new();

	/// <summary>
	/// 甄别申请id
	/// </summary>
	public string ScreenId { get; set; } 
}