﻿using Hotline.Share.Enums.Settings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;

namespace Hotline.Share.Dtos.Snapshot;
public class OrderDeclareItemsOutDto
{
    /// <summary>
    /// 上报区域
    /// </summary>
    public string AreaCode { get; set; }

    /// <summary>
    /// 区域名称
    /// </summary>
    public string AreaName { get; set; }

    /// <summary>
    /// 申报类型
    /// 0 主动申报；1 举报上报 ；2 社会排查
    /// </summary>
    public int EventType { get; set; }

    /// <summary>
    /// 作业地点
    /// </summary>
    public string WorkAddress { get; set; }

    /// <summary>
    /// 上报时间
    /// </summary>
    public DateTime CreatedTime { get; set; }

    public string CompanyType {get;set; }

    /// <summary>
    /// 作业类别
    /// 0 电焊 1 气割 2 其它
    /// </summary>
    public int WorkType { get; set; }

    /// <summary>
    /// 来源
    /// 1(小程序) 2(12345) 3(其它)
    /// </summary>
    public int Source { get; set; }

    /// <summary>
    /// 作业开始时间
    /// </summary>
    public DateTime? WorkTimeStart { get; set; }

    /// <summary>
    /// 作业结束时间
    /// </summary>
    public DateTime? WorkTimeStop { get; set; }

    /// <summary>
    /// 现场描述情况内容
    /// </summary>
    public string OnsiteSituateDescription { get; set; }

    /// <summary>
    /// 上报人员姓名
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 上报人员联系方式
    /// </summary>
    public string Phone { get; set; }

    /// <summary>
    /// 工单编号
    /// </summary>
    public string EventId { get; set; }

    /// <summary>
    /// 场所类别编码
    /// </summary>
    public string PlaceType { get; set; }

    /// <summary>
    /// 办结类型，0 不合规，1 合规，2 人工完结（误报，核查取消等情况）
    /// </summary>
    public int Compliance { get; set; }

    /// <summary>
    /// 检查时间
    /// </summary>
    public DateTime? CheckTime { get; set; }

    /// <summary>
    /// 核查人姓名
    /// </summary>
    public string? CheckUser { get; set; }

    /// <summary>
    /// 核查人所属部门
    /// </summary>
    public string? CheckDept { get; set; }

    /// <summary>
    /// 核查人联系电话
    /// </summary>
    public string? CheckPhone { get; set; }

    /// <summary>
    /// 经纬度
    /// </summary>
    public string LatLon { get; set; }

    /// <summary>
    /// 标题
    /// </summary>
    public string Title { get; set; }
    public string? OperationPlace { get; set; }
}

public class OrderDeclareItemsInDto
{
    /// <summary>
    /// JsonData
    /// </summary>
    public JsonData JsonData { get; set; }
}

public class JsonData
{
    /// <summary>
    /// Code
    /// </summary>
    public string Code { get; set; }

    public AcceptContent AcceptContent { get; set; }
}

public class AcceptContent
{
    public string DisposeDate { get; set; }

    /// <summary>
    /// 1:办结时间  2:受理时间
    /// </summary>
    public int Tyep { get; set; }
}
