﻿using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.StatisticalReport
{
    public record SeatReturnOrderListRequestDto: PagedKeywordRequest
    {
        /// <summary>
        /// 工单标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 受理类型编号
        /// </summary>
        public string AcceptTypeCode { get; set; }

        /// <summary>
        /// 来源渠道编号
        /// </summary>
        public string? SourceChannelCode { get; set; }
    }

    /// <summary>
    /// 退件明细
    /// </summary>
    public class SeatReturnOrderListDto
    {
        public int Index {  get; set; }

        /// <summary>
        /// 工单id
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 受理时间
        /// </summary>
        public DateTime OrderCreationTime { get; set; }

        /// <summary>
        /// 退回时间
        /// </summary>
        public DateTime SpecialCreationTime {  get; set; }

        /// <summary>
        /// 受理类型名称
        /// </summary>
        public string AcceptType { get; set; }

        /// <summary>
        /// 受理类型编号
        /// </summary>
        public string AcceptTypeCode { get; set; }

        /// <summary>
        /// 来源渠道（电话、网站、APP等）
        /// </summary>
        public string? SourceChannel { get; set; }

        /// <summary>
        /// 来源渠道编号
        /// </summary>
        public string? SourceChannelCode { get; set; }
    }
}
