﻿namespace Hotline.Share.Requests
{
    public record DepartmentKeyWordRequest : PagedRequest
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime EndTime { get; set; }

        /// <summary>
        /// 部门编码
        /// </summary>
        public string? OrgCode { get; set; }

        /// <summary>
        /// 受理类型编码
        /// </summary>
        public string? AcceptTypeCode { get; set; }

        /// <summary>
        /// 0:全部，1：中心，2：部门
        /// </summary>
        public int TypeCode { get; set; }

        /// <summary>
        /// 来电/信人身份0：全部 ，1：市民，2：企业
        /// </summary>
        public int? TypeId { get; set; }

        /// <summary>
        /// 1：受理时间 2：办结时间  默认：2
        /// </summary>
        public int TimeType { get; set; } = 2;
    }
}
