﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot.Interfaces;
public interface ISnapshotUserInfoRepository : IRepository<SnapshotUserInfo>
{
    /// <summary>
    /// 根据电话号码获取用户信息
    /// </summary>
    /// <param name="phoneNumber"></param>
    /// <returns></returns>
    Task<SnapshotUserInfo?> GetByPhoneNumberAsync(string? phoneNumber);

    /// <summary>
    /// 根据第三方账号Id获取用户信息
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<SnapshotUserInfo> GetByThirdIdAsync(string id);
}

