﻿using Hotline.Share.Enums.Snapshot;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 网格员和普通随手拍人员信息
/// </summary>
[Description("随手拍用户信息")]
public class SnapshotUserInfo : CreationSoftDeleteEntity
{
    /// <summary>
    /// 用户自己填的邀请码
    /// </summary>
    [SugarColumn(ColumnDescription = "用户自己填的邀请码")]
    public string? InvitationCode { get; set; }

    /// <summary>
    /// 历史已经领取金额总和(单位:元)
    /// </summary>
    [SugarColumn(ColumnDescription = "历史已经领取金额总和(单位:元)")]
    public double TotalAmount { get; set; }

    /// <summary>
    /// 第三方账号Id
    /// <inheritdoc cref="Hotline.ThirdAccountDomainServices.ThirdAccount"/>
    /// </summary>
    [SugarColumn(ColumnDescription = "第三方账号Id")]
    public string? ThirdAccountId { get; set; }

    /// <summary>
    /// 用户类型
    /// 注册时根据手机号码判断是否是 网格员
    /// </summary>
    [SugarColumn(ColumnDescription = "用户类型")]
    public EReadPackUserType CitizenType { get; set; }

    /// <summary>
    /// 姓名
    /// </summary>
    [SugarColumn(ColumnDescription = "姓名")]
    public string? Name { get; set; }

    /// <summary>
    /// 电话号码
    /// </summary>
    [SugarColumn(ColumnDescription = "电话号码")]
    public string? PhoneNumber { get; set; }
}
